<?php
/**
 * Suit Breadcrumb
 *
 * @package Suit Blog
 */

/**
 * class for breadcrumb
 *
 * @access public
 */
class suit_blog_Breadcrumb {

    /**
     * Instance
     *
     * @access private
     * @var object
     */
    private static $instance;

    /**
     * Returns the instance.
     *
     * @access public
     * @return object
     */
    public static function get_instance() {
        if ( ! isset( self::$instance ) ) {
            self::$instance = new self();
        }

        return self::$instance;
    }

    /**
     * Constructor method.
     *
     * @access private
     * @return void
     */
    private function __construct() {
        
        // Include trial breadcrumb
        require Suit_Blog_THEME_DIR . 'inc/classes/suit_blog_Breadcrumb_Trail.php';
        
    }

}

suit_blog_Breadcrumb::get_instance();